package java.awt.im.spi;

import javax.swing.JFrame;
import java.awt.Window;
import java.awt.font.TextHitInfo;
import java.text.AttributedCharacterIterator;
import java.awt.im.InputMethodRequests;

public interface InputMethodContext extends InputMethodRequests
{
    public abstract void dispatchInputMethodEvent(int p0, AttributedCharacterIterator p1, int p2, TextHitInfo p3, TextHitInfo p4);
    
    public abstract Window createInputMethodWindow(String p0, boolean p1);
    
    public abstract JFrame createInputMethodJFrame(String p0, boolean p1);
    
    public abstract void enableClientWindowNotification(InputMethod p0, boolean p1);
}
